Summary: Creates a bootdisk.
Name: mkbootdisk
%define version 1.2.4
Version: %{version}
Release: 8mdk
Copyright: GPL
Group: System/Kernel and hardware
Source: mkbootdisk-%{version}.tar.bz2
Patch0: mkbootdisk-mdkconf.patch.bz2
Patch1: mkbootdisk-append-options.patch.bz2
Patch2: mkbootdisk-loopback.patch.bz2
Patch3: mkbootdisk-for-ls120.patch.bz2
ExclusiveArch: i386 sparc sparc64 i586 k6 k7 ppc
ExclusiveOs: Linux
Requires: mkinitrd /bin/awk cpio
%ifarch sparc sparc64
Requires: silo genromfs
%endif
BuildRoot: %{_tmppath}/%{name}-root

%description
The mkbootdisk program creates a standalone boot floppy disk for booting
the running system.  The created boot disk will look for the root
filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image which will load any necessary SCSI modules for
the system.

%prep
%setup -q
%patch0 -p0 -b .mdkconf
%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkbootdisk
%attr(644,root,root) /usr/man/man8/mkbootdisk.8*

%changelog
* Wed Apr 19 2000 Pixel <pixel@mandrakesoft.com> 1.2.4-8mdk
- patch for ls120 (add ability to precise bios number for device)

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4-7mdk
- Spec-helper clean-up.
- Adjust groups.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.2.4-6mdk
- Added PPC support
- Added k7 arch

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 1.2.4-5mdk
- patch for loopback

* Sun Jan  2 2000 Pixel <pixel@mandrakesoft.com>
- add ability to handle options given to kernel (via append=...)

* Tue Dec 21 1999 Pixel <pixel@mandrakesoft.com>
- added requires /bin/awk and cpio

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.4.

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.3.
- Remove cpio deps.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Requires cpio (#41).

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to be sure to copy all devices (using cpio) from
  H.J. <hjl@varesearch.com>.

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- We boot on Mandrake no RedHat.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 1.2.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix Summary line (RH apparently took the same as mkinitrd has)

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated the description

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Fri Oct 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- support for SPARC

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- wasn't including nfs, isofs, or fat modules properly
- mkinitrd args weren't passed right due to a typo
